Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Interface MetricsVisitor

    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public interface MetricsVisitor

A visitor interface for metrics

Method Summary
`void` | `counter(MetricsInfo info, int value)` Callback for integer value counters
`void` | `counter(MetricsInfo info, long value)` Callback for long value counters
`void` | `gauge(MetricsInfo info, double value)` Callback for double value gauges
`void` | `gauge(MetricsInfo info, float value)` Callback for float value gauges
`void` | `gauge(MetricsInfo info, int value)` Callback for integer value gauges
`void` | `gauge(MetricsInfo info, long value)` Callback for long value gauges

Method Detail

### gauge

    void gauge(MetricsInfo info,
               int value)

  Callback for integer value gauges

  Parameters:
    `info` - the metric info
    `value` - of the metric

### gauge

    void gauge(MetricsInfo info,
               long value)

  Callback for long value gauges

  Parameters:
    `info` - the metric info
    `value` - of the metric

### gauge

    void gauge(MetricsInfo info,
               float value)

  Callback for float value gauges

  Parameters:
    `info` - the metric info
    `value` - of the metric

### gauge

    void gauge(MetricsInfo info,
               double value)

  Callback for double value gauges

  Parameters:
    `info` - the metric info
    `value` - of the metric

### counter

    void counter(MetricsInfo info,
                 int value)

  Callback for integer value counters

  Parameters:
    `info` - the metric info
    `value` - of the metric

### counter

    void counter(MetricsInfo info,
                 long value)

  Callback for long value counters

  Parameters:
    `info` - the metric info
    `value` - of the metric

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Apache Software Foundation. All Rights Reserved.